; highspeed SIO routine, break key handler
; License: GPL-2, see LICENSE
; This Version (c) 2022 Mark Ormston <memso@memso.net>
; Original copyright (c) 2003-2009 by Matthias Reichl <hias@horus.com>

; *************************************************************************************************
; Break handler
L_ERRBRK:
	; reset break interrupt flag
	LDA #POKEY_IRQ::ClearBreakKey
	STA POKEY_W::IRQEN

	; set default pokey interrupt mask
	LDA AtariOS::ZP_POKMSK
	STA POKEY_W::IRQEN
	LDX AtariOS::STACKP
	TXS
L_ABS73:
	JSR L_CLEANUP
	; set error code $80
	LDY #ATARIOS_CIO_STATUS::Break
	STY AtariOS::ZP_STATUS
L_ABS74:
	; end command without retrying
	JMP L_ENDCMD
; End L_ERRBRK
